<?php
    
    namespace common\modules\comment\models\interfaces;

    use yii\data\ActiveDataProvider;

    /**
     * Interface CommentInterface
     * @package common\modules\comment\models\interfaces
     */
    interface CommentInterface
    {
        function setEntity( $entity);
        
        function getEntity();
        
        function setEntityId( $entityId);
        
        function getEntityId();
        
        static function getTree( $entity,  $entityId);
        
    }